| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SimplePropertyRef< TYPE, VERIFIER > Class Template Reference

`#include <GaudiKernel/Property.h>`

Inheritance diagram for SimplePropertyRef< TYPE, VERIFIER >:

[legend]
Collaboration diagram for SimplePropertyRef< TYPE, VERIFIER >:

[legend]
List of all members.

## Detailed Description

### template<class TYPE, class VERIFIER = NullVerifier<TYPE>>
class SimplePropertyRef< TYPE, VERIFIER >

SimplePropertyRef templated class.

Author:
  Paul Maley

  CTDay

  Vanya BELYAEV ibelyaev@physics.syr.edu

Definition at line 588 of file Property.h.

## Public Member Functions
| SimplePropertyRef (const std::string &name, TYPE &value, VERIFIER verifier=VERIFIER())
| Constructor from the name, the value and the verifier.
| SimplePropertyRef (const SimplePropertyRef &right)
| copy constructor (must be!)
virtual | ~SimplePropertyRef ()
| virtual Destructor
virtual SimplePropertyRef * | clone () const
| implementation of Property::clone
SimplePropertyRef & | operator= (const TYPE &value)
| assignement form the value
template<class OTHER>
SimplePropertyRef & | operator= (const PropertyWithValue< OTHER > &right)
| assignement form the other property type
## Private Member Functions
| SimplePropertyRef ()

## Constructor & Destructor Documentation

template<class TYPE, class VERIFIER>

SimplePropertyRef< TYPE, VERIFIER >::SimplePropertyRef | ( | const std::string & | name,
|  | TYPE & | value,
|  | VERIFIER | verifier = `VERIFIER()` |
| ) |  |  |

Constructor from the name, the value and the verifier.

Parameters:

  value | NB! non-const reference

Definition at line 617 of file Property.h.

    00620   : PropertyWithVerifier<TYPE,VERIFIER> ( name , &value , false , verifier )
    00621 {}

template<class TYPE, class VERIFIER>

SimplePropertyRef< TYPE, VERIFIER >::SimplePropertyRef | ( | const SimplePropertyRef< TYPE, VERIFIER > & | right | ) |

copy constructor (must be!)

Definition at line 627 of file Property.h.

    00628   : PropertyWithVerifier<TYPE,VERIFIER>
    00629 ( right.name() , right.i_get() , false , right.verifier() )
    00630 {}

template<class TYPE, class VERIFIER>

SimplePropertyRef< TYPE, VERIFIER >::~SimplePropertyRef | ( |  | ) | `[virtual]`

virtual Destructor

Definition at line 635 of file Property.h.

    00635 {}

template<class TYPE, class VERIFIER = NullVerifier<TYPE>>

SimplePropertyRef< TYPE, VERIFIER >::SimplePropertyRef | ( |  | ) | `[private]`

Referenced by SimplePropertyRef< TYPE, VERIFIER >::clone().

## Member Function Documentation

template<class TYPE, class VERIFIER>

SimplePropertyRef< TYPE, VERIFIER > * SimplePropertyRef< TYPE, VERIFIER >::clone | ( |  | ) | const`[inline, virtual]`

implementation of Property::clone

Implements Property.

Definition at line 642 of file Property.h.

References SimplePropertyRef< TYPE, VERIFIER >::SimplePropertyRef().

    00643 { return new SimplePropertyRef(*this) ; }

template<class TYPE, class VERIFIER>

SimplePropertyRef< TYPE, VERIFIER > & SimplePropertyRef< TYPE, VERIFIER >::operator= | ( | const TYPE & | value | ) | `[inline]`

assignement form the value

Reimplemented from PropertyWithVerifier< TYPE, VERIFIER >.

Definition at line 650 of file Property.h.

References PropertyWithVerifier< TYPE, VERIFIER >::operator=().

    00651 {
    00652   PropertyWithVerifier<TYPE,VERIFIER>::operator=( value ) ;
    00653   return *this ;
    00654 }

template<class TYPE, class VERIFIER>
template<class OTHER>

SimplePropertyRef< TYPE, VERIFIER > & SimplePropertyRef< TYPE, VERIFIER >::operator= | ( | const PropertyWithValue< OTHER > & | right | ) | `[inline]`

assignement form the other property type

Reimplemented from PropertyWithVerifier< TYPE, VERIFIER >.

Definition at line 663 of file Property.h.

    00664 {
    00665   PropertyWithVerifier<TYPE,VERIFIER>::operator=( right );
    00666   return *this ;
    00667 }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Property.h